unit main;

{$MODE Delphi}

interface

uses
  LCLIntf, Graphics, Controls, Forms, Messages, Dialogs, StdCtrls,
   SysUtils, Classes, JvUIB, LResources, Buttons;

type

  { TForm1 }

  TForm1 = class(TForm)
    DataBase: TJvUIBDataBase;
    Button1: TButton;
    Transaction: TJvUIBTransaction;
    Query: TJvUIBQuery;
    Memo: TMemo;
    procedure Button1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation


procedure TForm1.Button1Click(Sender: TObject);
begin
  Query.Params.ByNameAsInteger['Dept'] := 623;
  Query.Open;
  memo.Clear;
  while not Query.EOF do
//    with Query, Fields do
    begin
      memo.Lines.Add(format('%s %s, Salary: %f',
        [Query.Fields.ByNameAsString['FIRST_NAME'],
         Query.Fields.ByNameAsString['LAST_NAME'],
         Query.Fields.ByNameAsCurrency['SALARY']]));
      Query.Next;
    end;
  memo.Lines.Add(Query.Plan);  
  Query.Close(etmCommit);

end;

initialization
  {$i main.lrs}

end.
